/*
 Theme Name:   Van Rijn Group Theme
 Theme URI:    https://bricksbuilder.io/
 Description:  Thema voor Van Rijn Group
 Author:       Steelstudio
 Author URI:   https://steelstudio.nl
 Template:     bricks
 Version:      1.0
 Text Domain:  bricks
*/

/*============ Custom adjustments Van Rijn Group ============*/
html {
	scroll-behavior:smooth;
}
* {
  box-sizing: border-box;
}
.breakline {
  display: block;
}
.project-glasvezel .separator {
  border-top-color: var(--bricks-color-kdwtdj) !important;
}
/*===== color adjustments per page ====*/

/*Over ons*/
.page.page-id-404 #nav-logo {
  --logo-color: var(--bricks-color-sqmqtf);
  --logo-color-inner: var(--bricks-color-twtylm);
  --logo-text-color: var(--bricks-color-twtylm);
}

/*---Glasvezel---*/
.page.page-id-524 #nav-logo {
  --logo-color: var(--bricks-color-kdwtdj);
  --logo-color-inner: var(--bricks-color-twtylm);
  --logo-text-color: var(--bricks-color-twtylm);
}
/*---Energie---*/
.page.page-id-585 #nav-logo {
  --logo-color-inner: var(--bricks-color-twtylm);
  --logo-text-color: var(--bricks-color-twtylm);
}
/*--projecten--*/
.page.page-id-687 #nav-logo {
  --logo-color-inner: var(--bricks-color-twtylm);
  --logo-text-color: var(--bricks-color-twtylm);
}

/*-nav-*/
.page.page-id-524 .nav-with-icon a {
  background-color: var(--bricks-color-kdwtdj);
}

/*-footer-*/
.page.page-id-524 .text-light-screen {
  color: var(--bricks-color-kdwtdj);
}
.page.page.page-id-524 #footer-logo {
  --footer-logo-color: var(--bricks-color-kdwtdj);
}
.page.page-id-524 .footer-svg-icon {
  color: var(--bricks-color-kdwtdj);
}
.page.page-id-524 #Social-icons-footer li a {
  background-color: var(--bricks-color-kdwtdj);
}
.page.page-id-524 .brxe-button.bttn-with-icon::after {
  background-color: var(--bricks-color-kdwtdj);
}

/*=== Buttons ===*/
.brxe-button.bttn-with-icon {
  position: relative;
  margin-right: 4rem;
}
.brxe-button.bttn-with-icon::after {
  content: "";
  display: inline-block;
  position: absolute;
  width: auto;
  aspect-ratio: 1/1;
  height: 100%;
  right: -4rem;
  background-color: var(--bricks-color-sqmqtf);
  background-image: url("data:image/svg+xml,%3Csvg width='15' height='16' viewBox='0 0 15 16' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M14.9624 14.9429H13.146V3.75928L1.3208 15.5845L0.0375977 14.3013L12.1069 2.23193H0.435059V0.415527H14.9624V14.9429Z' fill='%23081E22'/%3E%3C/svg%3E");
  background-size: 15px 16px; /* original SVG size */
  background-position: center;
  background-repeat: no-repeat;
  flex-shrink: 0;
}
.brxe-button.bttn-icon-orange.bttn-with-icon::after {
  background-color: var(--bricks-color-kdwtdj);
}
/*nav menu fix*/
.bricks-nav-menu {
  align-items: center;
}
/*=== highlighted button with icon ===*/
.nav-with-icon a {
  display: inline-flex;
  align-items: center;
  gap: 2px;
}
.nav-with-icon a {
  padding: 12px 18px;
  background-color: var(--bricks-color-sqmqtf);
  color: var(--bricks-color-twtylm);
  text-transform: uppercase;
  font-weight: 500;
  font-size: 14px;
}
.nav-with-icon a::after {
  content: "";
  display: inline-block;
  width: 10px;
  height: 10px;
  margin-left: 8px;
  background-image: url("data:image/svg+xml,%3Csvg width='10' height='10' viewBox='0 0 10 10' fill='none' xmlns='http://www.w3.org/2000/svg'%3E%3Cpath d='M1.13672 1.13757H8.86154V8.86239' stroke='%23081E22'/%3E%3Cpath d='M8.99997 1.13757L1.27515 8.86239' stroke='%23081E22'/%3E%3C/svg%3E");
  background-size: contain;
  background-repeat: no-repeat;
  vertical-align: middle;
}
.brxe-button {
  text-underline-offset: 1rem;
}

.rijn-img-mask-one {
  width: 100%;
  height: auto;
  display: block;
  mask: url("/wp-content/uploads/2025/09/rijn-mask-one.svg");
  -webkit-mask: url("/wp-content/uploads/2025/09/rijn-mask-one.svg");
  /* Fallback for older browsers */
  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
}

.rijn-img-mask-two {
  width: 100%;
  height: auto;
  display: block;
  mask: url("/wp-content/uploads/2025/09/rijn-mask-two.svg");
  -webkit-mask: url("/wp-content/uploads/2025/09/rijn-mask-two.svg");
  /* Fallback for older browsers */
  -webkit-mask-size: contain;
  -webkit-mask-repeat: no-repeat;
  -webkit-mask-position: center;
  mask-size: contain;
  mask-repeat: no-repeat;
  mask-position: center;
}

#logo-carousel .swiper-slide,
#logo-carousel-two .swiper-slide {
  border: 1px solid #3c5d63;
  display: flex;
  justify-content: center;
  padding: 1rem;
}

#logo-carousel .image,
#logo-carousel-two .image {
  height: 7rem;
  width: 10rem;
  aspect-ratio: 1/1;
  background-size: contain;
  background-repeat: no-repeat;
  max-height: 6rem;
}

.text-light-screen {
  color: var(--bricks-color-sqmqtf);
}

.slider-card-team:nth-child(even) .title-badge .separator.left {
  border-top-color: var(--bricks-color-kdwtdj);
}

.page-id-791 .nav-menu {
  color: #fff !important;
}
